gnutls_global_set_time_function(3)

NAME
gnutls_global_set_time_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_global_set_time_function(gnutls_time_func time_func);

ARGUMENTS

gnutls_time_func time_func
    it's the system time function, a gnutls_time_func() callback.

DESCRIPTION
This is the function where you can override the default system time function. The application provided function should behave the same as the standard function.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/